m4-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Changes to m4/checks/Attic/check-them,v [branch-1_4]


From: Eric Blake
Subject: Changes to m4/checks/Attic/check-them,v [branch-1_4]
Date: Sat, 06 Jan 2007 19:56:12 +0000

CVSROOT:        /sources/m4
Module name:    m4
Branch:         branch-1_4
Changes by:     Eric Blake <ericb>      07/01/06 19:56:11

Index: checks/check-them
===================================================================
RCS file: /sources/m4/m4/checks/Attic/check-them,v
retrieving revision 1.1.1.1.2.13
retrieving revision 1.1.1.1.2.14
diff -u -b -r1.1.1.1.2.13 -r1.1.1.1.2.14
--- checks/check-them   7 Sep 2006 13:08:54 -0000       1.1.1.1.2.13
+++ checks/check-them   6 Jan 2007 19:56:11 -0000       1.1.1.1.2.14
@@ -1,6 +1,6 @@
 #!/bin/sh
 # Check GNU m4 against examples from the manual source.
-# Copyright (C) 1992, 2006 Free Software Foundation, Inc.
+# Copyright (C) 1992, 2006, 2007 Free Software Foundation, Inc.
 
 # Sanity check what we are testing
 m4 --version
@@ -59,12 +59,22 @@
   echo "Checking $file"
   sed -e '/^dnl @/d' -e '/^\^D$/q' "$file" \
     | LC_MESSAGES=C m4 -d -I "$examples" - >$out 2>$err
+  stat=$?
 
-  if test $? = 77 ; then
+  xstat=`sed -ne '2s/^dnl @ expected status: //p;2q' "$file"`
+  case $stat in
+    77)
     skipped="$skipped $file"
     cat $err
     continue
-  fi
+      ;;
+    $xstat) ;;
+    *)
+      failed="$failed $file:status"
+      echo `sed -e 's/^dnl //' -e 1q $file`
+      echo "$file: status was $stat, expected $xstat"
+      ;;
+  esac
 
   sed -e '/^dnl @result{}/!d' -e 's///' -e "s|\.\./examples|$examples|" \
     "$file" > $xout




reply via email to

[Prev in Thread] Current Thread [Next in Thread]